@keyframes slideInFromLeft {
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInFromRight {
    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 100;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 200;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 300;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 400;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 500;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_l.ttf');
    font-weight: 600;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_b.ttf');
    font-weight: 700;
}
@font-face {
    font-family: Work;
    src: url('../fonts/work_b.ttf');
    font-weight: 800;
}



@font-face {
    font-family: Rajdhani;
    src: url('../fonts/rajdhani_l.ttf');
    font-weight: 100;
}
@font-face {
    font-family: Rajdhani;
    src: url('../fonts/rajdhani_b.ttf');
    font-weight: 600;
}



#main{
    width: 100vw;
    overflow: hidden;
}

.mezera_main{
    height: 50px;
}

.mezera_second{
    height: 30px;
}

.top_bckgrnd_cont{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
    position: absolute;
}

.top_bckgrnd{
    width: 20000px;
    margin-left: 50vw;
    transform: translate(-50%, -19400px);
    aspect-ratio: 1/1;
    background-color: rgb(238, 238, 238);
    border-radius: 100%;
    overflow: hidden;
}

.top_bckgrnd img{
    position: absolute;
    width: auto;
    height: 80vh;
    min-height: 700px;
    bottom: 0px;
    left: 50%;
    margin-top: 500px;
    transform: translateX(-52%);
    min-width: 130vw;
}

.nav_menu_cont{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.nav_menu_cont img{
    height: 70px;
    margin-top: 10px;
    margin-bottom: 10px;
    width: auto;
}

.nav_menu{
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    color: white;
    gap: 15px;
    cursor: pointer;
    font-family: 'work';
    font-size: 15px;
}

.nav_menu span {
    position: relative;
    transition: color .5s; /* Přidáme přechod na barvu, pokud chcete i to */
}

.nav_menu span::before {
    content: "";
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 2px; /* Nastavení výšky čáry */
    background-color: white; /* Barva čáry */
    transition: width .5s; /* Přechod pro šířku */
}

.nav_menu span:hover::before {
    width: 100%; /* Při najetí se šířka zvětší na 100% */
}

.top_part_title{
    font-size: 44px;
    font-family: 'work';
    font-weight:800;
    color: white;
    line-height: 130%;
}

.top_part_title_line{
    width: 490px;
    height: 5px;
    background-color: white;
}

.top_part_cont{
    position: relative;
}

.top_part_text{
    position: absolute;
    width: 97%;
    font-size: 15px;
    color: white;
    font-family: 'work';
    line-height: 130%;
}

.content_cont{
    margin-top: 340px;
}

.content_items_cont{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 60px;
}

.content_item{
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
}

.content_item img{
    width: 15%;
    margin-left: 25px;
}

.content_item_img_r{
    margin-left: 0px;
    margin-right: 25px;
}

.content_item_color_cont,
.content_item_color_cont_r {
    display: flex;
    width: auto;
    flex-direction: column;
    border-radius: 10px;
    padding: 30px;
    padding-left: 40px;
    padding-right: 50px;
    padding-bottom: 45px;
    color: white;
    overflow: hidden;
    position: relative;
    opacity: 0;
    transition: 1s;
    cursor: pointer;
    position: relative;
}

.content_item_color_cont {
    transform: translateX(-100px);
    padding-left: 150px;
}

.content_item_color_cont_r {
    transform: translateX(100px);
    padding-left: 150px;
}

.content_item_color_image_l{
    position: absolute;
    margin-top: 30px;
    left: 35px;
    top: 5px;
    width: 80px !important;
    margin-left: 0px !important;
}

.content_item_color_image_r{
    position: absolute;
    margin-top: 30px;
    left: 35px;
    top: 5px;
    width: 80px !important;
    margin-left: 0px !important;
}

.content_item_color_cont.visible {
    animation: slideInFromLeft 1s forwards;
}

.content_item_color_cont_r.visible {
    animation: slideInFromRight 1s forwards;
}

.content_item_color_cont_zbarveni{
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: transparent;
    pointer-events: none;
    transition: .5s;
}

.content_item_color_title{
    font-size: 20px;
    font-family: 'work';
    font-weight:800;
    margin-bottom: 10px;
}

.content_item_color_text{
    font-family: 'work';
    font-size: 15px;
    line-height: 120%;
}

.content_item_color_cont:hover .content_item_color_cont_zbarveni, .content_item_color_cont_r:hover .content_item_color_cont_zbarveni{
    background-color: rgba(0, 0, 0, 0.142);
    transition: .5s;
}

.content_item_color_cont:hover .content_item_next, .content_item_color_cont_r:hover .content_item_next{
    background-color: transparent;
    transition: .5s;
}

.content_item_next{
    position: absolute;
    right: 0px;
    bottom: 0px;
    height: 40px;
    width: 40px;
    background-color: rgba(0, 0, 0, 0.142);
    border-radius: 10px 0px 0px 0px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    transition: .5s;
}

.content_item_next img{
    height: 65%;
    width: auto;
    margin-left: 50%;
    transform: translateX(-60%);
}

.mezera_footer{
    height: 80px;
}

.footer_info_cont{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.footer_info_title{
    font-size: 15px;
    font-family: 'work';
    font-weight:800;
    margin-bottom: 10px;
}

.footer_info_text{
    font-size: 15px;
    font-family: 'work';
}

.footer_cont{
    width: 100%;
    height: 55px;
    background-color: rgb(211, 211, 211);
    background-image: url('../images/bckgrnd.png');
    background-position: center;
    background-size: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.footer_text{
    font-size: 15px;
    font-family: 'work';
font-weight:800;
    text-align: center;
    color: white;
}

.footer_info_item{
    width: 24%;
}

.nav_menu_cont a{
    text-decoration: none;
    color: white;

}

.nav_menu_cont a{
    text-decoration: none;
    color: white;
}

.nav_menu_cont a:hover{
    color: white;
}

.footer_text a{
    color: white;
    text-decoration: none;
}

.footer_text a:hover{
    color: white;
}

.footer_text p{
    margin-bottom: 0px;
}

.footer_info_text a{
    color: black;
    text-decoration: none;
}

.footer_info_text a:hover{
    color: black;
}


/*-----------------------*/

.err_bck_cont {
    background-image: url('../images/3ms_err_bck.png');
    background-size: cover; /* Obrázek pokryje celou plochu, ale nezkreslí se */
    background-position: center; /* Obrázek bude vycentrovaný */
    background-repeat: no-repeat; /* Zabrání opakování obrázku */
    background-attachment: fixed; /* Obrázek zůstane fixní při scrollování */
    height: 100vh; /* Nastaví výšku na celou výšku obrazovky */
    width: 100vw; /* Nastaví šířku na celou šířku obrazovky */
}

.err_cont{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -35%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.err_title{
    font-family: 'Rajdhani';
    font-weight: 600;
    font-style: normal;
    color: white;
    font-size: 25px;
    font-display: swap;
    text-align: center;
}

.err_logo{
    width: 180px;
    margin-top: 40px;
}

.err_mezera{
    height: 250px;
}

.err_line{
    width: 500px;
    height: 0px;
    border-top: 3px solid white;
    margin-bottom: 20px;
}

.err_info{
    font-family: 'Rajdhani';
    font-weight: 100;
    font-style: normal;
    color: white;
    font-size: 20px;
    font-display: swap;
    line-height: 100%;
}

.err_info_b{
    font-weight: 600;
}



@media (max-height: 1070px) {
    .err_cont{
        transform: translate(-50%, -50%);
    }
}


@media screen and (max-width: 991px) {
    .content_item img{
        display: none;
    }

    .content_item_color_cont{
        width: 100%;

        padding-left: 40px;
        padding-right: 50px;
    }

    .content_item_next img{
        display: block !important;
    }

    .nav_menu{
        display: none;
    }


    .content_item_color_cont_r{
        padding-left: 40px;
        padding-right: 50px;
    }

    .content_item_color_image_l{
        display: none;
    }

    .content_item_color_image_r{
        display: none;
    }

}

@media screen and (max-width: 767px) {
    .footer_info_cont{
        flex-wrap: wrap;
        justify-content: center;
        padding-left: 10px;
        padding-right: 10px;
        gap:20px;
    }

    .footer_info_item{
        width: 45%;
    }

    .footer_info_title{
        margin-bottom: 5px;
    }

    .top_bckgrnd{
        transform: translate(-50%, -19350px);
    }
}

@media screen and (max-width: 575px) {
    .nav_menu_cont{
        padding-left: 10px;
        padding-right: 10px;
    }

    .top_part_title_line{
        margin-left: 10px;
    }

    .top_part_text{
        width: 90%;
    }

    .top_part_title{
        padding-left: 10px;
        padding-right: 10px;
        font-size: 29px;
    }

    .top_part_title_line{
        width: 280px;
    }

    .mezera_second{
        height: 20px;
    }

    .top_part_text{
        padding-left: 10px;
        padding-right: 10px;
        font-size: 15px;
    }

    .mezera_main{
        height: 10px;
    }

    .nav_menu_cont img{
        height: 50px;
    }

    .top_bckgrnd{
        width: 10000px;
        margin-left: 50vw;
        transform: translate(-50%, -9370px);
    }

    .top_bckgrnd img{
        position: absolute;
        width: 5%;
        height: 60vh;
        min-width: 580px;
    }

    .content_cont{
        margin-top: 480px;
    }

    .content_item_color_title{
        font-size: 20px;
    }

    .content_item_color_text{
        font-size: 15px;
    }

    .content_item_next{
        width: 30px;
        height: 30px;
    }

    .content_item_color_cont, .content_item_color_cont_r{
        padding-bottom: 35px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .content_items_cont{
        gap: 30px;
        padding-left: 10px;
        padding-right: 10px;
    }

    .mezera_footer{
        height: 30px;
    }

    .footer_cont{
        height: 55px;
    }

    .footer_text{
        font-size: 15px;
    }

    .footer_info_title{
        font-size: 15px;
    }

    .footer_info_text{
        font-size: 15px;
    }

    .err_line{
        width: 100%;
    }

    .err_mezera{
        height: 100px;
    }

    .err_logo{
        width: 150px;
        margin-top: 15px;
    }

    .err_title{
        width: 100%;
    }

    .err_cont{
        width: 90%;
    }

    .err_bck_cont{
        background-position: 35% center; /* Obrázek bude vycentrovaný */
    }
}

@media screen and (max-width: 370px) {
    .footer_text{
        font-size: 12px !important;
    }

    .footer_info_title{
        font-size: 12px !important;
    }

    .footer_info_text{
        font-size: 12px !important;
    }

    .content_item_color_title{
        font-size: 12px !important;
    }

    .content_item_color_text{
        font-size: 12px !important;
    }

    .top_part_title{
        font-size: 26px !important;
    }

    .top_part_text{
        font-size: 12px !important;
    }
}

@media screen and (min-width: 1200px) {
    .row{
        width: 80%;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }
}

@media screen and (min-width: 2000px) {
    .top_bckgrnd img{
        width: 100vw;
    }
}